Bug 469551 - JPEG Save dialog preview should adjust size units
JPEG Save dialog preview should adjust size units
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 06:50 EST by Tim Waugh
Modified: 2009-06-12 07:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 07:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gimp-kb-mb.patch (1.00 KB, patch)
2008-11-02 06:50 EST, Tim Waugh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 559081 None None None Never

  None (edit)
Description Tim Waugh 2008-11-02 06:50:40 EST
Created attachment 322224 [details]
gimp-kb-mb.patch

Description of problem:
When saving a JPEG and enabling 'Show preview' in the quality dialog, the file size is always displayed in kB.  It would be nicer to switch to MB at 1024kB, so that sizes can be directly compared with e.g. nautilus.

Version-Release number of selected component (if applicable):
gimp-2.4.7-3.fc9

How reproducible:
100%

Steps to Reproduce:
1.Start GIMP, open a large-ish image.
2.File->Save As...->foo.jpg
3.Enable preview
4.Inspect file size.

Actual results:
Shown in thousands of kB.

Expected results:
Shown in appropriate units.

Additional info:
Patch attached for gimp-2.6.2.
Comment 1 Nils Philippsen 2008-11-03 06:35:54 EST
I've filed this upstream. Mind that some may like to have this configurable because they want exact KB numbers.
Comment 2 Tim Waugh 2008-11-03 06:38:55 EST
Thanks.
Comment 3 Nils Philippsen 2008-11-03 06:41:28 EST
NB: I probably won't care for gimp-2.4.x, but I plan to bring 2.6.x onto F9 once
F10 is out.
Comment 4 Nils Philippsen 2008-11-11 09:00:37 EST
I've built gimp-2.6.2-2.fc9, you can check it out from Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=926256
Comment 5 Tim Waugh 2008-11-14 08:15:24 EST
I got this errors while updating:

/usr/sbin/gimp-plugin-mgr: line 6: @GIMPTOOL@: command not found
ln: creating symbolic link `/plug-ins/xsane': No such file or directory

As for the file size units -- yes, works well in that package.  Thanks!
Comment 6 Nils Philippsen 2008-11-14 09:50:16 EST
Ah, forgot to copy the fixed script from devel/F10 to F9. Fixed in here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=933432
Comment 7 Nils Philippsen 2008-11-14 09:51:16 EST
BTW, has the last update replaced gimp with gimp + gimp-help-browser?
Comment 8 Tim Waugh 2008-11-14 10:07:04 EST
Update works fine without errors now.  I updated gimp and gimp-libs with 'rpm -Fvh', so gimp-help-browser is not installed, no.
Comment 9 Nils Philippsen 2008-11-14 10:25:53 EST
That's expected -- yum localupdate gimp*.rpm should have caught it. Can you give me some feedback if there's anything out of the ordinary when using GIMP 2.6 that's not covered by the upstream release notes (http://www.gimp.org/release-notes/gimp-2.6.html)?
Comment 11 Bug Zapper 2009-06-09 23:09:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Tim Waugh 2009-06-10 05:09:23 EDT
Works in Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.